%global module_name pegjs

Name:           nodejs-%{module_name}
Version:        0.8.0
Release:        2%{?dist}
Summary:        Parser generator for JavaScript

License:        MIT
URL:            https://github.com/dmajda/pegjs
Source0:        https://github.com/dmajda/pegjs/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
PEG.js is a simple parser generator for JavaScript that produces fast parsers
with excellent error reporting. You can use it to process complex data or
computer languages and build transformers, interpreters, compilers and
other tools easily.

%prep
%setup -q -n pegjs-0.8.0
rm -rf node_modules


%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr benchmark bin package.json lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check

%files
%doc LICENSE README.md examples
%{nodejs_sitelib}/%{module_name}


%changelog
* Fri Oct 24 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.8.0-2
- Add bin/pegjs
- Change upstream URL to github

* Mon Sep 15 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.8.0-1
- Initial packaging

